@echo OFF

echo Installing FreeFlow Core Accelerator for Imperial PrimeLink-Versant workflows, hot folders, sample files, and documentation.....

:: *****
::  This bat file will install the FreeFlow Core Accelerator for PrimeLink-Versant workflows, sample files, and documentation
::
::  Step 1: Install workflows from the Accelerator for PrimeLink-Versant - Imperial.ffc, add icc profile
::  Step 2: Copy sample files to desktop, 
::  Step 3: Find the Core Install Path.
::  Step 4: Create Hotfolders and move to Desktop, 
::  Step 5: Copy Accelerator for PrimeLink-Versant Guide to Desktop
::  Step 6: Open Install Complete File in Notepad  -- Causes Script to pause for customer action.
::
:: *****

:: ############################
:: *****
::
:: Step 1: Importing workflows and Color Management Profile...
::
:: *****
SET PVInstallDir=%~dp0
SET PVWorkflowDir=%PVInstallDir%Workflows\

echo PVInstall Directory: %PVInstallDir%
echo PV Workflow Directory: %PVWorkflowDir%


"%FF_CORE_HOME%\CoreExchange.exe" /i /o /r "%PVWorkflowDir%%Imperial Accelerator for PrimeLink - Versant.ffc"
if %ERRORLEVEL% GEQ 1 Goto :NotInstalled

Copy /Y "%PVWorkflowDir%VP180_procBlack_to_K_almost-v01.icc" "C:\Windows\System32\spool\drivers\color"
if %ERRORLEVEL% GEQ 1 Goto :NotInstalled

:: *****
::
:: Step 3. Copy Sample Files to Desktop
::
:: *****

set DestFolder=%UserProfile%\Desktop\PrimeLink^ and^ Versant^ Samples\
echo  Destination Folder = %DestFolder%

XCOPY /E /Y "%~dp0PrimeLink and Versant Samples" "%DestFolder%"

:: *****
::
:: Step 2. Copy Sample Files to Desktop
::
:: *****

set DestFolder=%UserProfile%\Desktop\PrimeLink^ and^ Versant^ Samples\
echo  Destination Folder = %DestFolder%

XCOPY /E /Y "%~dp0PrimeLink and Versant Samples" "%DestFolder%"


:: *****
:: 
::  Step 3: Set the FF Core Data Directory
::
:: *****

SET HFPath=%XRX_TENANTSHOMEROOT%\00000000-0000-0000-0000-000000000000\Data\Hot Folders\

:: *****
::
:: Step 4. Create shortcuts using vb script and copy to desktop into Samples Directory
::
:: *****

@echo off

set Scr="%~dp0TempVBS.vbs"

(echo Set oWS = WScript.CreateObject("WScript.Shell"^)
echo Set oLink = oWS.CreateShortcut(WScript.Arguments(0^)^)
echo oLink.TargetPath = WScript.Arguments(1^)
echo oLink.Save) > %Scr%



:: echo Create HF Link = %HF1%
cscript /nologo %Scr% "Business Card to Gold.lnk" "%HFPath%Business Card to Gold"
cscript /nologo %Scr% "Business Card to Silver.lnk" "%HFPath%Business Card to Silver"
cscript /nologo %Scr% "Business Card to White.lnk" "%HFPath%Business Card to White"

cscript /nologo %Scr% "Document to Gold.lnk" "%HFPath%Document to Gold"
cscript /nologo %Scr% "Document to Silver.lnk" "%HFPath%Document to Silver"
cscript /nologo %Scr% "Document to White.lnk" "%HFPath%Document to White"

cscript /nologo %Scr% "Menu to Gold.lnk" "%HFPath%Menu to Gold"
cscript /nologo %Scr% "Menu to Silver.lnk" "%HFPath%Menu to Silver"
cscript /nologo %Scr% "Menu to White.lnk" "%HFPath%Menu to White"

cscript /nologo %Scr% "Post Card to Gold.lnk" "%HFPath%Post Card to Gold"
cscript /nologo %Scr% "Post Card to Silver.lnk" "%HFPath%Post Card to Silver"
cscript /nologo %Scr% "Post Card to White.lnk" "%HFPath%Post Card to White"

cscript /nologo %Scr% "(My SPOT) Color to Gold.lnk" "%HFPath%(My SPOT) Color to Gold"
cscript /nologo %Scr% "(My SPOT) Color to Silver.lnk" "%HFPath%(My SPOT) Color to Silver"
cscript /nologo %Scr% "(My SPOT) Color to White.lnk" "%HFPath%(My SPOT) Color to White"

cscript /nologo %Scr% "Rich Black to Pure K.lnk" "%HFPath%Rich Black to Pure K"

::COPY /Y "%~dp0*.lnk" "%UserProfile%\Desktop\PrimeLink and Versant Samples\"
move /Y "%~dp0*.lnk" "%UserProfile%\Desktop\PrimeLink and Versant Samples\"

del %Scr%

:: *****
::
:: Step 5: Copying Documentation to Desktop
::
:: *****

XCOPY /S /E /Y "%~dp0Accelerator for Primelink - Versant User Guide" "%UserProfile%\Desktop\Accelerator for Primelink - Versant User Guide\"

:: *****
::
:: Step 6: Open Install Success PDF File
::         This causes script and command window to pause until customer closes.
::
:: *****
:eof
echo Installation Complete!

Notepad "%~dp0Install Complete Message.txt"
Exit

:NotInstalled
echo Installation Failed!
Notepad "%~dp0Install Failed Message.txt"
